<div class="container mt-3">
  <div class="card">
    <div class="card-header"><h3>{{smer?.naziv}}</h3></div>
    <div class="card-body">
      <ngb-tabset justify="start" (tabChange)="tabChanged($event)">
        <ngb-tab title="Podaci o smeru">
          <ng-template ngbTabContent>
            <form>
              <div class="form-group">
                <label for="naziv"><b>Naziv</b></label>
                <input class="form-control" name="naziv" value="{{smer?.naziv}}">
              </div>
              <div class="form-group">
                <label for="oznaka"><b>Oznaka</b></label>
                <input  class="form-control" name="oznaka" value="{{smer?.oznaka}}">
              </div>
              <div class="form-group">
                <label for="tip"><b>Tip</b></label>
                <input  class="form-control" name="tip" value="{{smer?.tip}}">
              </div>
              <div class="form-group">
                <label for="brojSemestra"><b>Broj Semestra</b></label>
                <input  class="form-control" name="brojSemestra" value="{{smer?.brojSemestra}}">
              </div>
            </form>
          </ng-template>
        </ngb-tab>
        <ngb-tab id="predmetiNaSmeru" title="Predmeti">
          <ng-template ngbTabContent>
              <ul class="list-group" id="predmet-list" *ngIf="predmeti.length != 0">
                <li *ngFor="let predmet of predmeti; let i = index" style="cursor:pointer" class="list-group-item">
                  <div class="row">
                    <div class="col-3"><h5 class="btn btn-link" [routerLink]="['/predmeti', predmet.id]">{{predmet.naziv}}</h5></div>
                    <div class="col-8"></div>
                    <div class="col-1"><i class="fas fa-minus-circle fa-2x text-danger" (click)="onPredmetRemove(i)" placement="left" ngbTooltip="Remove"></i></div>
                  </div>
                </li>
              </ul>
              <div class="jumbotron bg-warning" *ngIf="predmeti.length == 0">
                <h2>Nema predmeta</h2>
              </div>
          </ng-template>
        </ngb-tab>
        <ngb-tab id="studentiNaSmeru" title="Studenti">
          <ng-template ngbTabContent>
              <ul class="list-group" id="predmet-list" *ngIf="studentiNaSmeru.length != 0">
                <li *ngFor="let student of studentiNaSmeru; let i=index" style="cursor:pointer" class="list-group-item">
                  <div class="row">
                      <h6 class="text-info col-2" >Ime/Prezime:</h6>
                      <h6 class="btn-link col-3 text-primary" [routerLink]="['/korisnici', student.id]">{{student.ime}} {{student.prezime}}</h6>
                      <h6 class="text-info col-1">Index</h6>
                      <h6 class="col-2 text-dark">{{student.brojIndeksa}}</h6>
                      <div class="col-3"></div>
                      <i class="fas fa-minus-circle col-1 fa-2x text-danger" (click)="onStudentRemove(i)" placement="left" ngbTooltip="Remove"></i>
                  </div>
                </li>
              </ul>
              <div class="jumbotron bg-warning" *ngIf="studentiNaSmeru.length == 0">
                <h2>Nema studenata</h2>
              </div>
          </ng-template>
        </ngb-tab>
      </ngb-tabset>
    </div> 
    <div class="card-footer">
      <div class="row">
        <div class="col-6">
            <button type="button" class="btn btn-success" (click)="open(dodavanjePredmeta);onDodajPredmet()">Dodaj Predmet</button>
            <button type="button" class="btn btn-primary" (click)="open(dodavanjeStudenta);onUpistStudent()">Upis Studenta</button>
            <button class="btn btn-warning" (click)="onUpdateSmer();open(updateSmer)">Update</button>
            <button class="btn btn-danger" (click)="open(content)">Delete</button>
        </div>
        
        <div class="col-5"></div>
        <div class="col-1">
          <button class="btn btn-info" (click)="onBack()">Back</button>
        </div>
      </div>
    </div>
  </div>
</div>


<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header bg-danger">
    <h4 class="modal-title text-light" id="modal-basic-title">Delete</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span class="text-light" aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <h5>Da li ste sigurni da zelite da obrisete smer: {{smer?.naziv}} ?</h5>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        
        <button type="button" class="btn btn-danger" (click)="deleteSmer();c()">Delete</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>


<ng-template #dodavanjePredmeta let-c="close" let-d="dismiss">
  <div class="modal-header bg-primary">
    <h4 class="modal-title text-light" id="modal-basic-title">Dodavanje predmeta</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span class="text-light" aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <ul class="list-group modal-list">
        <li *ngFor="let predmet of checkboxPredmeti" class="list-group-item">
            <div class="checkbox">
              <label><input type="checkbox" name="predmetChecking" name=checkboxPredmet [(ngModel)]="predmet.checked" [checked]="predmet.checked" ><b> {{predmet.predmet.naziv}}</b></label>
            </div>
        </li>
    </ul>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-primary" (click)="dodajIzabranePredmete();c()">Dodaj</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>
  </div>
</ng-template>


<ng-template #dodavanjeStudenta let-c="close" let-d="dismiss">
    <div class="modal-header bg-primary">
      <h4 class="modal-title text-light" id="modal-basic-title">Upis studenta</h4>
      <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
        <span class="text-light" aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <ul class="list-group modal-list">
          <div *ngIf="checkboxStudenti.length == 0" class="alert alert-primary" role="alert">
            Nema slobodnih studenata
          </div>
          
          <div *ngIf="checkboxStudenti.length != 0">
            <li *ngFor="let student of checkboxStudenti" class="list-group-item">
              <div class="checkbox">
                <label><input type="checkbox" name="studentChecking"  [(ngModel)]="student.checked" [checked]="student.checked" >
                  <b> {{student.student.ime}} {{student.student.prezime}} {{student.student.brojIndeksa}}      </b>
                </label>
              </div>
            </li>
          </div>
      </ul>
    </div>
    <div class="modal-footer">
      <div class="row">
        <div class="col-6">
          <button type="button" class="btn btn-primary" (click)="dodajIzabraneStudente();c()">Dodaj</button>
        </div>
        <div class="col-6">
          <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
        </div>
      </div>
    </div>
  </ng-template>



  <ng-template #updateSmer let-c="close" let-d="dismiss">
      <div class="modal-header bg-warning">
        <h4 class="modal-title text-light" id="modal-basic-title">Update</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
          <span class="text-light" aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <label for="naziv"><b>Naziv</b></label>
            <input type="text" class="form-control" name="naziv" [(ngModel)]="smerCopy.naziv">
            <label for="oznaka"><b>Oznaka</b></label>
            <input type="text" class="form-control" name="oznaka" [(ngModel)]="smerCopy.oznaka">
            <label for="smerTip"><b>Tip</b></label>
            <select class="form-control" name="smerTip" [(ngModel)]="smerCopy.tip">
                <option value="akademski">Akademski</option>
                <option value="strukovni">Strukovni</option>
            </select>
            <label for="brojSemestra"><b>Broj Semestra</b></label>
            <input type="text" class="form-control" name="brojSemestra" [(ngModel)]="smerCopy.brojSemestra">
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <div class="row">
          <div class="col-6">
            <button type="button" class="btn btn-success" (click)="updateSmerConfirm();c()">Update</button>
          </div>
          <div class="col-6">
            <button type="button" class="btn btn-default" (click)="c();updateSmerCancel()">Cancel</button>
          </div>
        </div>
      </div>
    </ng-template>